#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main()
{
    char t[200000];
    char s[10];
    int br=0;
    int freq[256] = {0};

    scanf("%s",&t);
    scanf("%s",&s);

    for(int i = 0; i < strlen(t); i++)
  	{
  		freq[t[i]]++;
	}

  	for(int i = 0; i < 256; i++)
  	{
		if(freq[i] != 0)
		{
			if(freq[br] == 0 || freq[i] < freq[br])
			{
			    if(strstr(t,s)!=NULL)
                {
                    br++;
                    t[br]='*';
                }

			}
        }
	}

    printf("%d\n",br);
    for(int i = 0; i < strlen(t); i++)
    {
       printf("%c",t[i]);
    }

    return 0;
}